import java.awt.*;
import java.util.Hashtable;

abstract class OOView extends Frame {

    private Hashtable widgets_;
    public void widgets(Hashtable aHashtable) { widgets_ = aHashtable; }
    public Hashtable widgets()                { return widgets_;       }

    private Hashtable subViews_;
    public void subViews(Hashtable aHashtable) { subViews_ = aHashtable; }
    public Hashtable subViews()                { return subViews_;       }

    OOView(String s){
        super(s);
        this.initialize();
    }
    private void initialize(){
        System.out.println("init in OOView");
        this.setLayout(null);
        this.widgets( new Hashtable() );
        this.subViews( new Hashtable() );
    }

    public void addWidget(String aName, Component c){
        this.add(c);
        this.widgets().put(aName, c);
    }
    public void addSubView(String aName, OOView v){
        this.subViews().put(aName, v);
    }
    public Component getWidget(String aName){
        return (Component) this.widgets().get(aName);
    }
    public Component getSubView(String aName){
        return (OOView) this.subViews().get(aName);
    }
    abstract void testButton();
}
