import java.lang.*;
import java.util.*;

class ChangeSensor {

	/*
	*/
	private boolean state_;
	public boolean state() { return state_; }
	public void state( boolean aboolean ) { state_ = aboolean; }

	/*
	*/
	private ExactChangeLite exactChangeLite_;
	public ExactChangeLite exactChangeLite() { return exactChangeLite_; }
	public void exactChangeLite( ExactChangeLite aExactChangeLite ) { exactChangeLite_ = aExactChangeLite; }

	ChangeSensor() {
	    this.initialize();
	}

	private void initialize() {
	    this.state(false);  // => off
	    this.exactChangeLite(new ExactChangeLite());
	}

	public boolean isOn() {
	    return this.state();
	}

	public void updateExactChangeLite() {

	    if (Math.random() < 0.3) {
	        this.state(true);
	    }

	    if (this.state()) {
	        this.exactChangeLite().turnOn();
	    }
	    else {
	        this.exactChangeLite().turnOff();
	    }
	}
}
