import java.lang.*;
import java.util.*;

class SoldOutLite extends Observable {

	/*
	*/
	private boolean state_;
	public boolean state() { return state_; }
	public void state( boolean aboolean ) { state_ = aboolean; }

	SoldOutLite() {
	    this.initialize();
	}

	private void initialize() {
	    this.state(false);  // => off
	}

	public void turnOn() {
	    this.state(true);
	    this.publicize("turn light on");
	}

	public void turnOff() {
	    this.state(false);
	    this.publicize("turn light off");
	}

	public void publicize(String commandString){
	    this.setChanged();
	    this.notifyObservers(commandString);
	}

}
