import java.awt.*;
import java.awt.event.*;
import java.util.*;
class SCView extends Frame implements   Observer,
                                        WindowListener,
                                        ActionListener,
                                        ItemListener {
    private Hashtable widgets_;
    public void widgets(Hashtable aHashtable) { widgets_ = aHashtable; }
    public Hashtable widgets()                { return widgets_;}

    private Hashtable subViews_;
    public void subViews(Hashtable aHashtable) { subViews_ = aHashtable; }
    public Hashtable subViews()                { return subViews_;       }

    SCView(String s){
        super(s);
        this.initialize();
    }
    private void initialize(){
        this.widgets( new Hashtable() );
        this.subViews( new Hashtable() );
        this.setLayout(null);
        this.addWindowListener(this);
    }
    public void addWidget(String aName, Component c){
        this.add(c);
        this.widgets().put(aName, c);
    }
    public Component getWidget(String aName){
        return (Component) this.widgets().get(aName);
    }
    public void addSubView(String aName, SCView v){
        this.subViews().put(aName, v);
    }
    public Component getSubView(String aName){
        return (SCView) this.subViews().get(aName);
    }
    public void addNoShowWidget(String aName, Component c){
        this.widgets().put(aName, c);
    }
    public void removeNoShowWidget( Component c ){
        this.widgets().remove( c );
    }
    // support Observer interface
    public void update(Observable obs, Object o){}
    // support ActionListener interface
    public void actionPerformed(ActionEvent e){
        String command = (String) e.getActionCommand();
        if(command == "Exit"){
            this.dispose();
          //  System.exit(0);
            return;
        }
        System.out.println("end of actionPerformed in SCView");

    }
    // support WindowListener interface
    public void windowActivated(WindowEvent e){}
    public void windowClosed(WindowEvent e){}
    public void windowClosing(WindowEvent e){}
    public void windowOpened(WindowEvent e){}
    public void windowDeactivated(WindowEvent e){}
    public void windowIconified(WindowEvent e){}
    public void windowDeiconified(WindowEvent e){}

    // support ItemListener interface
    public void itemStateChanged( ItemEvent ie ){}
}
