import java.awt.*;

public class ShadowButton extends ButtonCanvas {
	/**
	 *  WidgetMediator will act as the Mediator for all widgets.
	 */
	private WidgetMediator widgetMediator_;
	private WidgetMediator widgetMediator() { return widgetMediator_; }
	private void widgetMediator( WidgetMediator aWidgetMediator ) { widgetMediator_ = aWidgetMediator; }

    ShadowButton(WidgetMediator aWidgetMediator){
        this.widgetMediator(aWidgetMediator);
        this.initialize();
    }

    private void initialize(){

        this.image1 = Toolkit.getDefaultToolkit().getImage("shadow1.GIF");
        this.image2 = Toolkit.getDefaultToolkit().getImage("shadow2.GIF");
        this.theImage = this.image1;

        this.setSize(100,100);
        this.setLocation(130,115);

    }

    public void pressed(){
        this.widgetMediator().widgetChanged(this);
    }

}
