import java.util.*;

class ShellSorter {

    /**
     * Sort Comparables via a Shell Sort
     */

    public Vector sort(Vector a){
        int n = a.size();
        int incr = n/2;
        while (incr >= 1){
            for (int i=incr; i<n; i++){
                Comparable c = (Comparable) a.elementAt(i);
                int j = i;
                while (j >= incr && c.compare(  (Comparable)
                                   a.elementAt(j-incr) )   < 0){
                    a.setElementAt( (Comparable) a.elementAt(j-incr) ,j);
                    j -= incr;
                }
            a.setElementAt(c,j);
            }
        incr /= 2;
        }
        return a;
    }

}
