
import java.util.*;
import java.lang.*;

public class ZooKeeper {

	private Vector animals_;
	public Vector animals() { return animals_; }
	public void animals( Vector theAnimals ) { animals_ = theAnimals; }

	private String name_;
	public String name() { return name_; }
	public void name( String aName ) { name_ = aName; }

	ZooKeeper() {
	    this.initialize();
	}

	ZooKeeper(String theName) {
	    this();
	    this.name(theName);
	}

	private void initialize() {
	    this.name("Ace Ventura");
	    this.animals(new Vector());
	}


    public int computeTotalFootCount() {
        int totalFootCount = 0;
        Enumeration theAnimals = this.animals().elements();
        while (theAnimals.hasMoreElements()) {
            Animal anAnimal = (Animal) theAnimals.nextElement();
            totalFootCount = totalFootCount +
                                anAnimal.footCount();
        }
        return totalFootCount;
    }
}

