import java.lang.*;
import java.util.*;
import java.net.*;
import java.io.*;
import java.awt.*;
import java.awt.image.*;

class GraphTest extends Observable {

    private Analyzer analyzerA_;
    public Analyzer analyzerA(){ return analyzerA_; }
    public void analyzerA(Analyzer anA) { analyzerA_ = anA; }

    private Analyzer analyzerB_;
    public Analyzer analyzerB(){ return analyzerB_; }
    public void analyzerB(Analyzer anA) { analyzerB_ = anA; }

    public GraphTest() {
        this.initialize();
    }

    private void initialize() {
        this.analyzerA(new Analyzer());
        this.analyzerB(new Analyzer());
    }

    public void startTheEngine() {
        this.analyzerA().thread().start();
        this.analyzerB().thread().start();
        System.out.println("Threads Started");
    }


    public void publicize() {
        this.setChanged();
        this.notifyObservers();
    }
}
