import java.util.*;

class SouthPedLane extends Lane {
    SouthPedLane(TrafficLiteController tlc){
        super(tlc);
        PedestrianLightBox aPLB = new PedestrianLightBox();
        this.lightBox( aPLB );
        this.lightBox().addObserver(this);
    }
    public void sensorActivated(){
        this.greenRequest( new GreenRequest() );
    }
    public void setConflicts(){
        this.conflictingLanes().addElement( this.trafficLiteController().getLane( "EastLeftLane" ) );
        this.conflictingLanes().addElement( this.trafficLiteController().getLane( "NorthThruLane" ) );
        this.conflictingLanes().addElement( this.trafficLiteController().getLane( "SouthThruLane" ) );
        this.conflictingLanes().addElement( this.trafficLiteController().getLane( "SouthLeftLane" ) );
    }

	public void update(Observable obs, Object O){
	    if( ((String) O).equals("resetGreenRequest")){
	        this.greenRequest(null);
	        return;
	    }
		this.trafficLiteController().instructLight( "SPedLight1" ,(String) O);
		this.trafficLiteController().instructLight( "SPedLight2" ,(String) O);
	}
}