import java.lang.*;
import java.util.*;

class MoneySlot extends Observable {


	/**
	 *  Manages the coins for this VendingMachine
	 */
	private CoinManager coinManager_;
	public CoinManager coinManager() { return coinManager_; }
	public void coinManager( CoinManager aCoinManager ) { coinManager_ = aCoinManager; }


	MoneySlot() {
	    this.initialize();
	}

	private void initialize() {
	   // VendingMachine hooks up the coinManager
	}

	public void coinReceived(Coin aCoin) {
	    System.out.println("coinReceived in MoneySlot");
	  //this.coinBucket().addCoin(aCoin);
	    this.coinManager().registerCoin(aCoin);
	    this.publicize();
	}

	public void publicize(){
	    this.setChanged();
	    this.notifyObservers();
	}
}
