import java.awt.*;

public class NickelButton extends ButtonCanvas {
	/**
	 *  WidgetMediator will act as the Mediator for all widgets.
	 */
	private WidgetMediator widgetMediator_;
	private WidgetMediator widgetMediator() { return widgetMediator_; }
	private void widgetMediator( WidgetMediator aWidgetMediator ) { widgetMediator_ = aWidgetMediator; }

    NickelButton(WidgetMediator aWidgetMediator){
        this.widgetMediator(aWidgetMediator);
        this.initialize();
    }

    private void initialize(){

        this.image1 = Toolkit.getDefaultToolkit().getImage("nickel1.GIF");
        this.image2 = Toolkit.getDefaultToolkit().getImage("nickel2.GIF");
        this.theImage = this.image1;

        this.setSize(83,89);
        this.setLocation(330,115);

    }
    public void pressed(){
        this.widgetMediator().widgetChanged(this);
    }

    // just for fun this will scoot the nickel button to the left.
    public void move(){
        this.setLocation(this.getLocation().x - 5,this.getLocation().y);
    }

}
