/*+========================================================================+*/
/*| [FBN ARS     ], Copyright [1999] [FBN Software]  All Rights Reserved.  |*/
/*|------------------------------------------------------------------------|*/
/*| NOTE: This software contains valuable trade secrets and proprietary    |*/
/*| information of [FBN Software] and is protected by law. It may not be   |*/
/*| copied or distributed in any form or medium, disclosed to third        |*/
/*| parties, reverse engineered or used in any manner without prior        |*/
/*| written authorization from [FBN Software].                             |*/
/*|------------------------------------------------------------------------|*/
/*| FILE: Plane.java                                                       |*/
/*|------------------------------------------------------------------------|*/
/*| MODULE:                                                                |*/
/*|------------------------------------------------------------------------|*/
/*| Who | Date       | Description                                         |*/
/*|------------------------------------------------------------------------|*/
/*|  P+ | Nov 29, 99 | Last Code Generation                                |*/
/*+========================================================================+*/
import java.util.*;

public class Plane
{

    private  String name_;
    public String name() { return name_; }
    public void name(String aString) { name_ = aString; }

    private  String modelNumber_;
    public String modelNumber() { return modelNumber_; }
    public void modelNumber(String aString) { modelNumber_ = aString; }

    private  Vector seats_;
    public Vector seats() { return seats_; }
    public void seats(Vector aVector) { seats_ = aVector; }



    Plane () {
        this.initialize();
    }

    Plane (String name, String modelNumber) {
        this();
        this.name(name);
        this.modelNumber(modelNumber);
    }

    private void initialize() {
        this.name("");
        this.modelNumber("");
        this.seats(new Vector());
    }

    public void addSeat(Seat aSeat) {
        this.seats().addElement(aSeat);
    }
}

