import java.lang.*;
import java.util.*;

class PriceCalculator {

	/**
	 *  Resolves promotion pricing issues
	 */
	private PromotionResolver promotionResolver_;
	public PromotionResolver promotionResolver() { return promotionResolver_; }
	public void promotionResolver( PromotionResolver aPromotionResolver ) { promotionResolver_ = aPromotionResolver; }


    PriceCalculator () {
        this.initialize();
    }

    private void initialize() {
        this.promotionResolver(new PromotionResolver());
    }


    public Enumeration promotionNames() {
       return this.promotionResolver().promotionNames();
    }

    public double calculatePrice( Vector promoNames, Customer aCustomer){
        System.out.println("calculatePrice in PriceCaluculator");
       /*
        Vector promos = new Vector();
        Enumeration enum = promoNames.elements();
        while( enum.hasMoreElements() ){
            String aPromoName = (String) enum.nextElement();
            promos.addElement(this.promotions().get(aPromoName));
        }
       */
       // this.promotionResolver().setActivePromotions( promos );
        this.promotionResolver().setActivePromotions( promoNames );
        return this.promotionResolver().computeBestPrice(aCustomer);
    }

}