import java.awt.*;
import java.awt.event.*;
import java.util.*;

public class SCPanel extends Panel implements    KeyListener,
                                                Observer,
                                                WindowListener,
                                                ActionListener,
                                                MouseListener,
                                                ItemListener {
    private Hashtable widgets_;
    private void widgets(Hashtable aHashtable) { widgets_ = aHashtable; }
    private Hashtable widgets()                { return widgets_;       }

	/**
	 *  The SCView object that will be called when events occur
	 *  on this object.
	 */
	private SCView scView_;
	protected SCView scView() { return scView_; }
	private void scView( SCView aSCView ) { scView_ = aSCView; }

    public SCPanel(SCView scView){
        this.scView(scView);
        this.initialize();
    }

    private void initialize(){
        this.widgets( new Hashtable() );
        this.setLayout(null);
    }

    public void addWidget(String aName, Component c){
        this.add(c);
        this.widgets().put(aName, c);
    }
    public Component getWidget(String aName){
        return (Component) this.widgets().get(aName);
    }


    public void removeWidget( Object o ){
        this.remove(this.getWidget((String) o));
        this.widgets().remove( o );
    }
    // support Observer interface
    public void update(Observable obs, Object o){}

    // support ActionListener interface
    public void actionPerformed(ActionEvent e){}

    // support WindowListener interface
    public void windowActivated     (WindowEvent e){}
    public void windowClosed        (WindowEvent e){}
    public void windowClosing       (WindowEvent e){}
    public void windowOpened        (WindowEvent e){}
    public void windowDeactivated   (WindowEvent e){}
    public void windowIconified     (WindowEvent e){}
    public void windowDeiconified   (WindowEvent e){}

    // support MouseListener interface
    public void mouseClicked    ( MouseEvent me ){}
    public void mouseEntered    ( MouseEvent me ){}
    public void mouseExited     ( MouseEvent me ){}
    public void mousePressed    ( MouseEvent me ){}
    public void mouseReleased   ( MouseEvent me ){}

    // support ItemListener interface
    public void itemStateChanged( ItemEvent ie ){}

    // support KeyListener interface
    public void keyPressed  (KeyEvent ke){}
    public void keyReleased (KeyEvent ke){}
    public void keyTyped    (KeyEvent ke){}
}
