/*+========================================================================+*/
/*| [FBN ARS     ], Copyright [1999] [FBN Software]  All Rights Reserved.  |*/
/*|------------------------------------------------------------------------|*/
/*| NOTE: This software contains valuable trade secrets and proprietary    |*/
/*| information of [FBN Software] and is protected by law. It may not be   |*/
/*| copied or distributed in any form or medium, disclosed to third        |*/
/*| parties, reverse engineered or used in any manner without prior        |*/
/*| written authorization from [FBN Software].                             |*/
/*|------------------------------------------------------------------------|*/
/*| FILE: Seat.java                                                        |*/
/*|------------------------------------------------------------------------|*/
/*| MODULE:                                                                |*/
/*|------------------------------------------------------------------------|*/
/*| Who | Date       | Description                                         |*/
/*|------------------------------------------------------------------------|*/
/*|  P+ | Nov 29, 99 | Last Code Generation                                |*/
/*+========================================================================+*/
import java.util.*;

public class Seat
{

    private  String location_;
    public String location() { return location_; }
    public void location(String aString) { location_ = aString; }

    private  Vector attributes_;
    public Vector attributes() { return attributes_; }
    public void attributes(Vector aVector) { attributes_ = aVector; }



    Seat () {
        this.initialize();
    }

    Seat (String location) {
        this();
        this.location(location);
    }

    private void initialize() {
        this.location("");
        this.attributes(new Vector());
    }

    public void addAttribute(String anAttribute) {
        this.attributes().addElement(new SeatAttribute(anAttribute));
    }
}

