/*+========================================================================+*/
/*| [FBN ARS     ], Copyright [1999] [FBN Software]  All Rights Reserved.  |*/
/*|------------------------------------------------------------------------|*/
/*| NOTE: This software contains valuable trade secrets and proprietary    |*/
/*| information of [FBN Software] and is protected by law. It may not be   |*/
/*| copied or distributed in any form or medium, disclosed to third        |*/
/*| parties, reverse engineered or used in any manner without prior        |*/
/*| written authorization from [FBN Software].                             |*/
/*|------------------------------------------------------------------------|*/
/*| FILE: SeatAssignment.java                                              |*/
/*|------------------------------------------------------------------------|*/
/*| MODULE:                                                                |*/
/*|------------------------------------------------------------------------|*/
/*| Who | Date       | Description                                         |*/
/*|------------------------------------------------------------------------|*/
/*|  P+ | Nov 29, 99 | Last Code Generation                                |*/
/*+========================================================================+*/
import java.util.*;

public class SeatAssignment
{

    private  Seat seat_;
    public Seat seat() { return seat_; }
    public void seat(Seat aSeat) { seat_ = aSeat; }

    private  Passenger passenger_;
    public Passenger passenger() { return passenger_; }
    public void passenger(Passenger aPassenger) { passenger_ = aPassenger; }


    SeatAssignment () {
        this.initialize();
    }

    SeatAssignment(Passenger aPassenger, Seat aSeat) {
        this();
        this.passenger(aPassenger);
        this.seat(aSeat);
    }

    private void initialize() {
        this.seat(new Seat());
        this.passenger(new Passenger());
    }
}

