import java.lang.*;
import java.util.*;
import java.awt.*;
import java.io.*;

class Timer extends Thread {

    private Timed target;
    private int interval;

    Timer (Timed t, int i) {
        target = t;
        interval = i;
        setDaemon(true);
    }

    public void run() {
        while (true) {
            try {
                sleep (interval);
            }
            catch (InterruptedException e) {
            }
            target.tick(this);

        }
    }

}
