import java.lang.*;
import java.util.*;
import java.awt.*;

public class View extends Frame implements Observer {

	/**
	 *  The ATM associated with this View
	 */
	private ATM atm_;
	public ATM atm() { return atm_; }
	public void atm( ATM anATM ) { atm_ = anATM; }

    public static void main(String args[]){
        View theView = new View();

        // Send a few transactions

        theView.atm().enterDeposit("fred", "1002", 350.01);
        theView.atm().enterWithdrawal("fred", "1002", 320.00);

        theView.atm().enterWithdrawal("fraud", "0000", 1000.00);

        (new Frame()).show();
    }

    View() {
        this.initialize();
    }

    private void initialize() {
        this.atm(new ATM());
        this.atm().addObserver(this);
    }

    public void update(Observable obs, Object o) {
        String theString = (String) o;
        System.out.println(">> " + theString);
    }

}
