import java.awt.*;
import java.lang.*;
import java.util.*;

public class View extends Frame implements Observer {

	/**
	 *  The BusinessModel associated with this application
	 */
	private BusinessModel businessModel_;
	public BusinessModel businessModel() { return businessModel_; }
	public void businessModel( BusinessModel aBusinessModel ) { businessModel_ = aBusinessModel; }

    public static void main(String args[]){

        View theView = new View();
    }

    View() {
        this.initialize();
    }

    private void initialize() {
        this.businessModel(new BusinessModel());
        this.hookupObservers();
    }

    private void hookupObservers() {
        this.businessModel().addObserver(this);
    }

    public void update(Observable obs, Object o) {
        EventCommand anEventCommand = (EventCommand) o;
        anEventCommand.observer(this);
        anEventCommand.observable(obs);
        anEventCommand.execute();
    }

}

