
import java.util.*;

public abstract class Transaction {

	/**
	 *  The date and time this Transaction was created
	 */
	private Date timestamp_;
	public Date timestamp() { return timestamp_; }
	public void timestamp( Date aDate ) { timestamp_ = aDate; }

	/**
	 *  The account associated with this Transaction.
	 */
	private Account account_;
	public Account account() { return account_; }
	public void account( Account anAccount ) { account_ = anAccount; }

	/**
	 *  The amount of this transaction
	 */
	private double amount_;
	public double amount() { return amount_; }
	public void amount( double aDouble ) { amount_ = aDouble; }


	public abstract void perform();
}
