import java.io.*;
import java.awt.*;
import java.util.*;

class HomeworkPacker extends Observable {
	/**
	 */
	private String fileName_;
	private String fileName() { return fileName_; }
	private void fileName( String aString ) { fileName_ = aString; }

	/**
	 */
	private String sourceDirectory_;
	private String sourceDirectory() { return sourceDirectory_; }
	private void sourceDirectory( String aString ) { sourceDirectory_ = aString; }

	/**
	 */
	private String destinationDirectory_;
	private String destinationDirectory() { return destinationDirectory_; }
	private void destinationDirectory( String aString ) { destinationDirectory_ = aString; }


	/**
	 */
	private String mainClass_;
	private String mainClass() { return mainClass_; }
	private void mainClass( String aString ) { mainClass_ = aString; }

	/**
	 */
	private String name_;
	private String name() { return name_; }
	private void name( String aString ) { name_ = aString; }

	/**
	 */
	private String comment_;
	private String comment() { return comment_; }
	private void comment( String aString ) { comment_ = aString; }

    public HomeworkPacker(){
        this.initialize();
    }
    private void initialize(){
        this.sourceDirectory(new String());
        this.destinationDirectory(new String());
        this.name(new String());
        this.comment(new String());
        this.mainClass(new String());
        this.fileName(new String());
    }
    private void writeFile(){
        String separator = System.getProperty("file.separator");
        try {
            PrintStream theFile = new PrintStream (new FileOutputStream
                   (this.destinationDirectory() + separator + this.fileName()));

            String result = new String();

            result += "\n";
            result += "here comes the name";
            result += "\n";
            result += this.name();
            result += "\n";
            result += "the name is done with";
            result += "\n";

            result += "\n";
            result += "here comes the main class";
            result += "\n";
            result += this.mainClass();
            result += "\n";
            result += "the main class is done with";
            result += "\n";

            result += "\n";
            result += "here comes the comment";
            result += "\n";
            result += this.comment();
            result += "\n";
            result += "the comment is done with";
            result += "\n";

            theFile.print(result);
            result = "\n";
            File sourceDirectory = new File(this.sourceDirectory());
            String fileNames[] = sourceDirectory.list();
            for(int n = 0; n < fileNames.length; n++ ){
                if(fileNames[n].endsWith(".java")){
                    this.publicize("packing " + fileNames[n]);
                    JavaFileReader jfr = new JavaFileReader(this.sourceDirectory() + separator + fileNames[n] );

                    result += "\n";
                    result += "here comes a new class";
                    result += "\n";
                    result += "\n";
                    result += jfr.fileString();
                    result += "\n";
                    result += "that class is over with";
                    result += "\n";

                    theFile.print(result);
                    result = "\n";
                }
            }

            result += "\n";
            result += "this should be the last line in the file";
            theFile.print(result);
            theFile.close();
        }
        catch (IOException e) {
            System.out.println("IOException in createFile() of HomeworkPacker");
        }
        this.publicize("done");
    }
    public void createFile(){
        String separator = System.getProperty("file.separator");
        File aFile = new File(this.destinationDirectory() + separator + this.fileName());
        if( aFile.exists() ){
            Frame f = new Frame();
            YesNoDialog ynd = new YesNoDialog(f,"Replace existing " + this.fileName() );
            ynd.show();
            if( ynd.yesChosen() ){
                this.writeFile();
                return;
            }
            else{
                publicize("Rename file and choose Pack It Up again");
            }
        }
        else{
            this.writeFile();
        }


    }

    public void setName(String s){
        this.name(s);
    }
    public void setSourceDirectory(String s){
        this.sourceDirectory(s);
    }
    public void setDestinationDirectory(String s){
        this.destinationDirectory(s);
    }
    public void setMainClass(String s){
        this.mainClass(s);
    }
    public void setComment(String s){
        this.comment(s);
    }
    public void setFileName(String s){
        this.fileName(s);
    }
    public String getComment(){
        return this.comment();
    }

    private void publicize(String s){
        this.setChanged();
        this.notifyObservers(s);
    }

}