import java.io.*;
//import sc.scview.*;
public class JavaFileReader {

	/**
	 */
	private DataInputStream inStream_;
	public DataInputStream inStream() { return inStream_; }
	public void inStream( DataInputStream aDataInputStream ) { inStream_ = aDataInputStream; }

	/**
	 */
	private String fileName_;
	public String fileName() { return fileName_; }
	public void fileName( String aString ) { fileName_ = aString; }

    public JavaFileReader(String fileName){
        this.fileName( fileName );
        this.initialize();
    }

    public String readLine(){
        String result = new String();
        try {

                result = this.inStream().readLine();

        }
        catch (IOException e) {
            System.out.println("IOException in readLine() of JavaFileReader");
        }
        return result;

    }
    public String fileString(){
        String result = new String();
        String s = new String();
        s = this.readLine();
        while(!(s == null)){
            result += s;
            result += "\n";
            s = this.readLine();
        }
        return result;
    }
    public String get(int numberOfBytes){
        String result = new String();
        try {
            for(int i = 0; i < numberOfBytes; i++){
                result += Integer.toHexString( this.inStream().read() );
            }
        }
        catch (IOException e) {
            System.out.println("IOException in get(int) of JavaFileReader");
        }
        return result;
    }

    private void initialize(){
        try {
            DataInputStream theStream = new DataInputStream (
                    new FileInputStream (this.fileName()));
            this.inStream( theStream );
        }
        catch (IOException e) {
            System.out.println("IOException in initialize of JavaFileReader");
        }
    }

}
